
Figure - 开发 Dev #112094
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 112093 (New): 【MK】【电子电气零部件环境可靠性实验ClassC】实现汇总

【MK】【MM】Last source
2022-09-22 10:55 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-09-22

Priority: Normal Due date: 2022-09-28

Assignee: CD MM陈海波 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Description

MM 音频，音乐播放恢复

History

#1 - 2022-09-23 19:52 - CD MM陈海波

- Status changed from New to 进行中 In Progress

刚才和王伟讨论后,所要做的需求为: 

   音乐播放,手机重启后,音乐维持重启前的状态(进度/界面/其他参数).

因为app表现行为属于app自身定制行为, 多媒体framework没法操作去操作他们的.

做不了全局的, 只能在特定应用(预装载的Music应用)做特定实现.

而且并不是每一个特点操作都能够恢复.能否恢复到的状态为: 

a. 进入到的大界面(Artists/Albums/Songs/Playlists/Snapdragon Audio+)

b. 音乐播放状态(进度/是否播放)

其实高通的Music已经实现了保持状态的功能了的.

目前需要做的事情为: 

1. 手机发送事件给Music应用,通知Music要保持状态, 手机重启.

   -> Music应用要做得: 

       a判断状态,保存状态.

2. 手机重启. Music恢复状态.

   -> framework 启动Music // 依赖Framework启动Music

   -> Music获取状态, 恢复状态:

       a: 恢复是否要继续播放

       b: 恢复调用的界面.

#2 - 2022-09-29 09:56 - CD MM陈海波

- Status changed from 进行中 In Progress to 解决 Resolved

代码已经入库:

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/151893

谢谢!
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/151893


#3 - 2022-12-22 20:37 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

151893 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM:Music: add the feature for VoltageProject.Music recover the previous state after rebootif VoltageProject invoked.TC-RID: 1201-0301202IssueID:

TS-R-DF-112094Change-Id: If8da8a1a94df66ec2093c099442a07043d409f9b

#4 - 2023-05-31 09:50 - CD MM唐驭俊

- Status changed from 解决 Resolved to 完成 Closed

开发已经完成

Close
